#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Test du capteur de l'anémomètre

#importer les bibliothèques utilisées par le script
import time
import os
from gpiozero import Button

# Connecte l'anémomètre au GPIO 5
anemometre = Button(5)
# Initialise le compteur de tours et la durée de mesure
compteur = 0
temps_mesure = 5

# Fonction appelée à chaque impulsion de l'anémomètre
# incrémente le compteur à chaque demi-tour
def comptage():
    global compteur
    compteur = compteur + 1
    #print("pulse" + str(compteur))
    
# Effacer l'écran
os.system("clear")

while True:
    # Remettre le compteur d'impulsions de l'anémomètre à zéro
    compteur=0
    # Appeler la fonction de comptage à chaque impulsion
    anemometre.when_pressed = comptage
    # Attendre pendant la durée de la mesure
    time.sleep(temps_mesure)
    # Effacer l'écran
    os.system("clear")
    # Afficher le résultat de la mesure
    print(f'Vitesse du vent : {((compteur/2)/ temps_mesure *2.4):.2f} Km/h')
